Package org.gradle.util

## Class CollectionUtils.InjectionStep<T,​I>

- java.lang.Object
- - org.gradle.util.CollectionUtils.InjectionStep<T,​I>

- Type Parameters:
    `T` - target type.
    `I` - item type.
  Enclosing class:
    CollectionUtils

      @Deprecated
      public static class CollectionUtils.InjectionStep<T,​I>
      extends java.lang.Object

  Deprecated.
  Injection step.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InjectionStep​(T target, I item)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `I` | `getItem()` | Deprecated.
    `T` | `getTarget()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InjectionStep

          public InjectionStep​(T target,
                               I item)

      Deprecated.

  - ### Method Detail

    - #### getTarget

          public T getTarget()

      Deprecated.

    - #### getItem

          public I getItem()

      Deprecated.